Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 459690 - [qt overlay] ebuild for dev-qt/linguist:5
Summary: [qt overlay] ebuild for dev-qt/linguist:5
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: Normal enhancement (vote)
Assignee: Qt Bug Alias
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: qt5-porting 485680
  Show dependency tree
 
Reported: 2013-02-28 10:24 UTC by Maik Nijhuis
Modified: 2013-12-23 00:37 UTC (History)
3 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
qt-linguist ebuild (qt-linguist-5.0.1-r1.ebuild,683 bytes, text/plain)
2013-02-28 10:25 UTC, Maik Nijhuis
Details
patch for fixing directory paths (linguist-without-designer.patch,2.03 KB, patch)
2013-02-28 10:26 UTC, Maik Nijhuis
Details | Diff
linguist ebuild with gui use flag (linguist-5.1.0.ebuild,750 bytes, text/plain)
2013-08-22 20:44 UTC, Nikita Kozlov
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Maik Nijhuis 2013-02-28 10:24:10 UTC
Similary to qt-designer, I added an ebuild for qt-linguist.

Unfortunately qt-linguist assumes that qt-designer is also built in the same build tree. qt-linguist and sets some directories to those of qt-designer, which caused sandbox violations, when building qt-linguist separately, as the qt-designer directories are in the main tree. I fixed it by adding converting some paths into relative paths.

Reproducible: Always
Comment 1 Maik Nijhuis 2013-02-28 10:25:53 UTC
Created attachment 340466 [details]
qt-linguist ebuild

Also requires modifications to qt5-build.eclass:

case ${PN#qt-} in
        concurrent|core|core-doc|dbus|gui|network|opengl|printsupport|sql|test|w
idgets|xml)
                EGIT_PROJECT="qtbase"
                ;;
        assistant|designer|linguist)
                EGIT_PROJECT="qttools"
                ;;
        doc)
                EGIT_PROJECT="qtdoc"
                ;;
        *)
                EGIT_PROJECT="${PN/-}"
                ;;
esac
Comment 2 Maik Nijhuis 2013-02-28 10:26:26 UTC
Created attachment 340468 [details, diff]
patch for fixing directory paths
Comment 3 Maik Nijhuis 2013-02-28 10:29:19 UTC
I didn't check if the dependencies in the ebuild are correct. Maybe there are too many, maybe I have to add qt-designer.
Comment 4 Davide Pesavento gentoo-dev 2013-08-22 10:20:39 UTC
https://github.com/gentoo/qt/pull/10
Comment 5 Nikita Kozlov 2013-08-22 20:44:18 UTC
Created attachment 356706 [details]
linguist ebuild with gui use flag

An ebuild for linguist 5.1.0

You can build only lrelease/lupdate/lconvert without the gui useflag